﻿namespace NetinaShop.Domain.Entities.Users;

public class UserAddress : ApiEntity
{
    public string Address { get; internal set; } = string.Empty;
    public string PostalCode { get; internal set; } = string.Empty;
    public string ReceiverFullName { get; internal set; } = string.Empty;
    public string ReceiverPhoneNumber { get; internal set; } = string.Empty;
    public float LocationLat { get; internal set; }
    public float LocationLong { get; internal set; }

    public Guid UserId { get; internal set; }
    public ApplicationUser? User { get; internal set; }
}