﻿using NetinaShop.Infrastructure.Models;

namespace NetinaShop.Infrastructure.RestServices;

public interface IRestApiWrapper : IScopedDependency
{
    IKaveNegarRestApi KaveNegarRestApi { get; }
}

public class RestApiWrapper : IRestApiWrapper
{
    public IKaveNegarRestApi KaveNegarRestApi => RestService.For<IKaveNegarRestApi>(RestAddress.BaseKaveNegar);
}